Galaxy Tab S3 with Android 4.4.2 Incompatible


#1

Hi,
I’m trying to use Revolut on my Samsung Galaxy Tab S3 with Android 4.4.2. The device seems to fullfill all the requirements but Google Play says that it’s not compatible. Any ideas why?

Cheers,
Rafal


#2

Hey @rniesler :slight_smile:

I have the feeling that :r: requires telephony capabilities for Google Play to recognize it as compatible with your device :frowning:


#3

I have in the tablet a valid SIM card that was used when registering in Revolut so this shouldn’t be an issue.


#4

Unfortunately, it is stated in the FAQs that Android tablets aren’t supported yet